/*
sample program of ev3d

> cl.exe /O2 sample3d.c ev3d.c
> gcc -O2 sample3d.c ev3d.c -o sample3d
*/

#include "ev.h"

int main(void)
{
	// initialize

	ev3d_init();

	// page 1

	ev3d_newPage();

	ev3d_setColor(255, 0, 0);
	ev3d_drawLine(-200, -200, -200, 200, 200, 200);

	ev3d_setColor(0, 255, 0);
	ev3d_drawBox(-100, -100, -100, 100, 100, 100);

	ev3d_setColor(0, 0, 255);
	ev3d_drawRectangle('Z', 0, -300, -300, 300, 300);

	ev3d_setColor(0, 0, 0);
	ev3d_drawTitle("page 1");

	// page 2

	ev3d_newPage();

	ev3d_setColor(255, 0, 0);
	ev3d_fillEllipse('X', 0, -100, -50, +100, +50, 36);

	ev3d_setColor(0, 0, 255);
	ev3d_drawEllipse('Z', 0, -300, -200, +300, +200, 72);

	ev3d_setColor(0, 255, 255);
	ev3d_drawTriangle(0, -100, 0, -200, 0, 0, 0, 100, 0);

	ev3d_setColor(255, 0, 255);
	ev3d_fillTriangle(0, -100, 0, 200, 0, 0, 0, 100, 0);

	ev3d_setColor(128, 0, 128);
	ev3d_drawQuadrangle(0, -100, -100, -200, 0, -100, 0, 100, -100, +200, 0, -100);

	ev3d_setColor(128, 128, 0);
	ev3d_fillQuadrangle(0, -100, +100, -200, 0, +100, 0, 100, +100, +200, 0, +100);

	ev3d_setColor(0, 0, 0);
	ev3d_drawTitle("page 2");

	// output ev.ev3

	ev3d_output();

	// output ev3d.htm

	ev3d_html_size(400, 400);
	ev3d_html_angle(45, 30);
	ev3d_html_font(0, 12);
	ev3d_file(0, "ev3d.htm", 0);
	ev3d_output();

	return 0;
}
